<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;

include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');

?>

		
  					
	<script src="angular/angular.min.js"></script>  
        
 
     
     
		

   
  
 									
									<?php
									
		
    
if (isset($_GET['id'])) {
		$_SESSION['id'] = stripslashes($_GET['id']);
	}
	$calendarid = $_SESSION['id'];


$printdate = date("d-m-Y h:m:s");


//select rosteringtimesheet and then find last record of timesheetsuvadetails.
//nsert in timesheetsuvadetails

$userid = $_SESSION['UserID'];					
		
    $timenow = date('Y-m-d H:i:s');
$log = "Converted Roster to timesheet for weekending: " . $calendarid ." by userid:  " . $userid." at ".$timenow;
			


$sql3 = " SELECT rostering.* FROM rostering
          INNER JOIN guardforceclient on guardforceclient.clientid = rostering.clientid
		  
		                            WHERE rostering.id = '" . $calendarid."' 
									AND guardforceclient.department = '2'";

			$ErrMsg = _('This timesheet could not be added because');
			$result3 = DB_query($sql3,$ErrMsg);
	
		while ($myrow3 = DB_fetch_array($result3)) {
			
			
$sql4 = "INSERT INTO timesheetsuva  (
							id,
							clientid,
							status,
							log)
				VALUES ('" . $myrow3['id'] ."',
						'" . $myrow3['clientid'] ."',
						'pending',
						
						'" .$log . "')";


			$ErrMsg = _('This timesheet could not be added because');
			$result4 = DB_query($sql4,$ErrMsg);	
			

			
			
			//get timesuvaid so that can use this data in timesheetsuvadetails table
						
$sql5 = " SELECT timesuvaid FROM timesheetsuva ORDER BY timesuvaid DESC LIMIT 1
		                           ";

			$ErrMsg = _('This timesheet could not be added because');
			$result5 = DB_query($sql5,$ErrMsg);
			$myrow5 = DB_fetch_array($result5);
			$lastid= $myrow5['timesuvaid'];
			
			
			
			


$sql5 = " SELECT * FROM rosteringtimesheet
		                            WHERE rosterid = '" . $myrow3['rosterid']."'  ";

			$ErrMsg = _('This timesheet could not be added because');
			$result5 = DB_query($sql5,$ErrMsg);
	
	while ($myrow5 = DB_fetch_array($result5)) {
			
			
$sql6 = "INSERT INTO timesheetsuvadetails  (

							timesuvaid,
							employeeid,
							mon_absent,
							montime_in,
							montime_out,
						
							mon_total,
							tues_absent,
							tuestime_in,
							tuestime_out,
						
							tues_total,
							wed_absent,
							wedtime_in,
							wedtime_out,
						
							wed_total,
							thurs_absent,
							thurstime_in,
							thurstime_out,
					         
							thurs_total,
							fri_absent,
							fritime_in,
							fritime_out,
						
							fri_total,
							sat_absent,
							sattime_in,
							sattime_out,
						
							sat_total,
							sun_absent,
							sunttime_in,
							sunttime_out,
						
							sun_total,
							mon2_absent,
							mon2time_in,
							mon2time_out,
						
							mon2_total,
							total_hrs,
							calendar_id,
							log)
				VALUES ('" . $lastid."',
						'" . $myrow5['employeeid'] ."',
						'" . $myrow5['mon_absent'] ."',
						'" . $myrow5['montime_in'] ."',						
						'" . $myrow5['montime_out'] ."',
						
						'" . $myrow5['mon_total'] ."',
						'" . $myrow5['tues_absent'] ."',
						'" . $myrow5['tuestime_in'] ."',						
						'" . $myrow5['tuestime_out'] ."',
						
						'" . $myrow5['tues_total'] ."',
						'" . $myrow5['wed_absent'] ."',
						'" . $myrow5['wedtime_in'] ."',
						'" . $myrow5['wedtime_out'] ."',
					
						'" . $myrow5['wed_total'] ."',
						'" . $myrow5['thurs_absent'] ."',
						'" . $myrow5['thurstime_in'] ."',
						'" . $myrow5['thurstime_out'] ."',
					
						'" . $myrow5['thurs_total'] ."',
						'" . $myrow5['fri_absent'] ."',
						'" . $myrow5['fritime_in'] ."',
						
						'" . $myrow5['fritime_out'] ."',
						
						'" . $myrow5['fri_total'] ."',
						'" . $myrow5['sat_absent'] ."',
						'" . $myrow5['sattime_in'] ."',
						'" . $myrow5['sattime_out'] ."',
					
						'" . $myrow5['sat_total'] ."',
						'" . $myrow5['sun_absent'] ."',
						'" . $myrow5['sunttime_in'] ."',
						'" . $myrow5['sunttime_out'] ."',
					
						'" . $myrow5['sun_total'] ."',
						'" . $myrow5['mon2_absent'] ."',
						'" . $myrow5['mon2time_in'] ."',						
						'" . $myrow5['mon2time_out'] ."',
						
						'" . $myrow5['mon2_total'] ."',
						'" . $myrow5['total_hrs'] ."',
						'" . $calendarid."',
						'" .$log . "')";


			$ErrMsg = _('This timesheet could not be added because');
			$result6 = DB_query($sql6,$ErrMsg);	
			
	}
			
		}

		



$sql311 = " SELECT employeeid, contract FROM employeemaster
		                            WHERE job_role = 'Security Officer' 
									OR job_role = 'Mobile Supervisor'
									OR job_role = 'Supervisor'
									OR job_role = 'CIT-Security Escort'
									
									
									";

			$ErrMsg = _('This timesheet could not be added because');
			$result311 = DB_query($sql311,$ErrMsg);
	
		while ($myrow311 = DB_fetch_array($result311)) {
			
			
$sql41 = "INSERT INTO payrun_employee_contract  (
							id,
							employee,
							contract)
				VALUES ('" . $calendarid ."',
						'" . $myrow311['employeeid'] ."',
						'" . $myrow311['contract'] ."')";


			$ErrMsg = _('This timesheet could not be added because');
			$result41 = DB_query($sql41,$ErrMsg);	
		}
	
	echo "converted!";
    
		echo "<br>";
	
     echo '<p class="page_title_text"><a href=guardforceclient.php>' . _('Roster Converted to timesheet successfully. View the timesheet in guardforce client locations by clicking here');
	
	
//echo 'Quotation Created Successfully'. $jobno.'!';





		
  
 	echo '</div >';
	?>
						

					

						<!--End::Section-->
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" style="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>
jQuery(document).ready(function($){
	
	
   }); 
	
	

	
	
		
		

	
	
</script>


<script type="text/javascript">
jQuery(document).on("ready xcrudafterrequest",function(){
    
});
</script>